Bug 1392473 - OPS Tools | Openstack password can be seen as clear text in Uchiwa because we override default password redaction with empty list in /etc/sensu/conf.d/client.json
Summary: OPS Tools | Openstack password can be seen as clear text in Uchiwa because we...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: rc
: 10.0 (Newton)
Assignee: Martin Magr
QA Contact: Leonid Natapov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-07 15:12 UTC by Leonid Natapov
Modified: 2016-12-14 16:30 UTC (History)
7 users (show)

Fixed In Version: openstack-tripleo-heat-templates-5.1.0-7.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-14 16:30:10 UTC
mbracho: needinfo+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2948 normal SHIPPED_LIVE Red Hat OpenStack Platform 10 enhancement update 2016-12-14 19:55:27 UTC
OpenStack gerrit 398281 None None None 2016-11-16 11:04:10 UTC
OpenStack gerrit 403722 None None None 2016-11-28 15:50:32 UTC

Description Leonid Natapov 2016-11-07 15:12:32 UTC
OPS Tools | Openstack passord can be seen as clear text in Uchiwa because we override default password redaction with empty list in /etc/sensu/conf.d/client.json

    "redact": [
 
    ],
    "socket": {
      "bind": "127.0.0.1",
      "port": 3030
    },
    "safe_mode": false,
    "openstack": {
      "region_name": "regionOne",
      "auth_url": "http://10.35.173.13:5000/v2.0",
      "password": "qR8PPmpvXPYVyHN3j4XvTH4v8",
      "project_name": "admin",
      "username": "admin"
    },
    "keepalive": {
    }
  }
}

as you can see redact list is epmty. Should contain word "password"

Comment 1 Jon Schlueter 2016-11-18 18:28:04 UTC
moving to POST as patch was merged on master and has been proposed to stable/newton branch

Comment 4 Leonid Natapov 2016-11-28 13:21:10 UTC
Tested with openstack-tripleo-heat-templates-5.1.0-5.el7ost. 

Failed QA. 
----
Overcloud deployment fails because sensu-base.yaml file includes unsupported parameter type "array".

Comment 7 Martin Magr 2016-11-29 12:34:31 UTC
Backport of the fix merged to stable/newton: https://review.openstack.org/#/c/403849/

Comment 10 Leonid Natapov 2016-12-01 12:23:39 UTC
tested with openstack-tripleo-heat-templates-5.1.0-7.el7ost

fixed.

Comment 12 errata-xmlrpc 2016-12-14 16:30:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2948.html


Note You need to log in before you can comment on or make changes to this bug.